class StockLensesController < ApplicationController
  def show
    if params[:id].present?
      @model = StockLens.find_by(rt_opc: params[:id])
      @model ||= StockLens.find_by(lt_opc: params[:id])

      if @model.nil?
        render json: {error: "Cannot find Lens with OPC: #{params[:id]}"}, status: :not_found
      end
    else
      render json: {error: "You must provide a valid OPC"}, status: :not_found
    end
  end
end
