import {attribute, DataStore, model, Model} from "@rx-suite/data";


@model({
    transportLayer: "/api/styles",
    permissionTarget: "Style",
})
export class StyleModel extends Model {
    constructor() {
        super();
        super.setup(); // This registers the observable attributes and viewModel
    }

    @attribute()
    style = "";

    @attribute()
    description = "";
}

export const StyleStore = StyleModel.store as unknown as DataStore<StyleModel>;