class SyncWithRxuniverseJob < ApplicationJob

  def perform
    SyncUserJob.perform_now
    SyncStyleTypesJob.perform_now
    SyncStylesJob.perform_now
    SyncStyleMaterialsJob.perform_now
    SyncAddonsJob.perform_now
    SyncShippingMethodsJob.perform_now
    SyncCustomersJob.perform_now
    SyncOrdersJob.perform_now
    SyncLensesJob.perform_now

    SyncStockOrderItemsJob.perform_now unless RxuVersion.instance.va?
  end
end