# == Schema Information
#
# Table name: addons
#
#  id         :bigint           not null, primary key
#  active     :boolean
#  ar         :boolean
#  backside   :boolean
#  code       :string(4000)
#  desc       :string(4000)
#  dropball   :boolean
#  etch       :boolean
#  harden     :boolean
#  mirror     :boolean
#  polish     :boolean
#  tint       :boolean
#  uv         :boolean
#  created_at :datetime         not null
#  updated_at :datetime         not null
#
# Indexes
#
#  index_addons_on_code  (code) UNIQUE
#
class Addon < ApplicationRecord
  scope :active, -> { where(active: true) }

  default_scope { active }

  has_many :order_addons
  has_many :orders, through: :order_addons
end
