import {attribute, DataStore, Model, model} from '@rx-suite/data';

@model({
    transportLayer: "/api/style_types",
    permissionTarget: "StyleType",
})
export class StyleTypeModel extends Model {
    constructor() {
        super();
        super.setup(); // This registers the observable attributes and viewModel
    }

    @attribute()
    style_type = "";
}

export const StyleTypeStore = StyleTypeModel.store as unknown as DataStore<Model>;