# == Schema Information
#
# Table name: sync_statuses
#
#  id              :bigint           not null, primary key
#  error_message   :text
#  failed          :boolean
#  in_progress     :boolean
#  queued          :boolean
#  sync_ended_at   :datetime
#  sync_started_at :datetime
#  type            :string
#  created_at      :datetime         not null
#  updated_at      :datetime         not null
#
class UserSyncStatus < SyncStatus
  def queue_sync
    super
    SyncUserJob.perform_now
  end
end
