class AddShippingMethodsToCustomers < ActiveRecord::Migration[6.0]
  def change
    change_table :customers do |t|
      t.belongs_to :ship_method_monday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_tuesday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_wednesday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_thursday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_friday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_saturday, foreign_key: {to_table: :shipping_methods}
      t.belongs_to :ship_method_sunday, foreign_key: {to_table: :shipping_methods}

      t.string :rpt_5 # this just happened to be missing when I was making this migration
    end
  end
end
